Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.man.bioinf.io
Interface AlignmentInputParser

All Known Implementing Classes:
  AbstractProteinAlignmentInputParser

public interface AlignmentInputParser

This is an interface that provides a definition for any sequence parsers. It takes input and returns a sequence alignment object. Parsers may or may not have state attached to them. Furthermore they may be re-entered or alternatively they may not. You have been warned.

One thing which cannot be enforced in the interface is that every parser should have a default constructor (ie no arguments to the constructor). This is because the parsers are generated through Class.newInstance(). Created: Thu May 25 23:01:02 2000

Version:
  $Id: AlignmentInputParser.java,v 1.4 2001/04/11 17:04:43 lord Exp $
Author:
  Julian

Method Summary
`String` | `getDescription()` Returns the description of this alignment parser, and should be human readable/understandable.
`SequenceAlignment` | `parse(Identifier ident, Reader reader, ParserExceptionHandler eh)`
`SequenceAlignment` | `parse(Reader reader, ParserExceptionHandler eh)` This method returns a sequence alignment from a buffered reader input stream.

Method Detail

### parse

    public SequenceAlignment parse(Identifier ident,
                                   Reader reader,
                                   ParserExceptionHandler eh)
                            throws IOException

    `IOException`

### parse

    public SequenceAlignment parse(Reader reader,
                                   ParserExceptionHandler eh)
                            throws IOException

  This method returns a sequence alignment from a buffered reader input stream.

  Parameters:
    `reader` - the input stream
    `eh` - exception handler
  Returns:
    the sequence alignment
    `IOException`

### getDescription

    public String getDescription()

  Returns the description of this alignment parser, and should be human readable/understandable.

  Returns:
    the description

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD